Subject: [Igmp-mld-bis] Initial version of Questionnaire

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Thu, 7 Mar 2019 18:19:35 +0000

Hi Team,
Please find the initial version of draft.  Attaching original nroff too, but you can optionally provide comment in text file directly, I can make the edit in nroff file.

Thanks
Mankamana

---

From: Michael McBride <[email-masked]>
Date: Thu, 7 Mar 2019 19:35:52 +0000

Hi Mankamana,

Looking good. Please consider making the following changes:

       3- Do you know if your implementation is based on [RFC3376]

MM- Instead: “Is your implementation based on [RFC3376]?”

       4- Do you know if lightweight IGMPv3 [RFC5790] is deployed in your network ?

MM- Instead: “Is lightweight IGMPv3 [RFC5790] deployed in your network ?
       7- Does any application uses Exclude mode with source list for MLDv2 ?
                                                   ^^^
MM-use

       8- Which part of IGMPv3 RFC 3376 is used more often ?

MM-Fairly wide open question. Perhaps that’s what you want. But the reader may need some guidance by following the existing question with something like “ex: INCLUDE/EXCLUDE source filtering, socket filtering, etc”

       10-Does your network still has deployment for IGMPv1 [RFC1112]?
                                                        ^^^

MM- Instead: “Does your network still have IGMPv1 [RFC1112] deployed?”

Thanks,
mike

From: Igmp-mld-bis [mailto:[email-masked]] On Behalf Of Mankamana Mishra (mankamis)
Sent: Thursday, March 07, 2019 10:20 AM
To: [email-masked]
Subject: [Igmp-mld-bis] Initial version of Questionnaire

Hi Team,

Thanks
Mankamana

---

From: Olufemi Komolafe <[email-masked]>
Date: Thu, 7 Mar 2019 22:11:27 +0000

Mankamana,

Thanks a lot for making a start with the draft.  I was going to edit some of the text.  Shall I just edit it directly or do you want me to list the suggested changes?

Also, more importantly, I think we really should structure the questions better.   I think structuring them will make it easier for the folks completing the question, help us get more insightful answers and make the analysis easier.  I had suggested some structure in the Wiki (e.g. dividing the questions into headings such as “Deployment Status”, “Deployment Specifics” and “Deployment Perspectives”  and similarly for implementation etc).  Please feel free to modify these headings or even propose new ones but I think that dividing the questions into such headings will improve the whole process.

Regards,
Femi

> On 7 Mar 2019, at 19:35, Michael McBride <[email-masked]> wrote:
> 
> Hi Mankamana,
>  
> -- 
> Igmp-mld-bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/igmp-mld-bis

---

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Thu, 7 Mar 2019 22:12:23 +0000

Feel free to update nroff file directly. If this does not work out / or not comfortable provide comment in text file. I can copy.

Thanks
Mankamana

From: Olufemi Komolafe <[email-masked]>
Date: Thursday, March 7, 2019 at 2:11 PM
To: Michael McBride <[email-masked]>
Cc: "Mankamana Mishra (mankamis)" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Igmp-mld-bis] Initial version of Questionnaire

Mankamana,

Regards,
Femi

On 7 Mar 2019, at 19:35, Michael McBride <[email-masked]<mailto:[email-masked]>> wrote:

Hi Mankamana,

Thanks,
mike

From: Igmp-mld-bis [mailto:[email-masked]] On Behalf Of Mankamana Mishra (mankamis)
Sent: Thursday, March 07, 2019 10:20 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Igmp-mld-bis] Initial version of Questionnaire

Hi Team,

Thanks
Mankamana

--
Igmp-mld-bis mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/igmp-mld-bis

---

From: Olufemi Komolafe <[email-masked]>
Date: Fri, 8 Mar 2019 01:49:07 +0000

Mankamana,

OK, I’ve simply written out some proposed text below for the draft.

Reading through Stig’s original email again, it seems that we should focus mostly on IGMPv3 and MLDv2. 

I think most of the questions we’ve discussed over the weeks are covered in the questions listed under the different headings below.  These are just some suggestions. Feel free to add other questions.  

I was wondering if we could itemize the different features specified in the MLDv2 and IGMPv3 RFCs to help guide people as they complete the questionnaire?  Basically have a list of features that the user can just tick the supported ones?

Any other thoughts/feedback?

Regards,
Femi

1. Introduction

IGMPv3 [RFC 3376] and MLDv2 [RFC 3810] are currently Proposed Standards.  Given the fact that multiple independent implementations of these protocols exist and they have been successfully and widely used operationally, the PIM WG is keen to progress these protocols to Internet Standards.  In order to facilitate this effort, it is critical to establish if there are features specified in RFC 3376 and RFC 3810 that have not been widely used and also to determine any interoperability issues that have arisen from using the protocols.

Following approach taken for PIM-SM, documented in RFC 7063, the PIM WG has decided that conducting a comprehensive survey on implementations and deployment of IGMPv3 and MLDv2 will provide valuable information to facilitate their progression to Internet Standard.

This document describes the procedures proposed for conducting the survey and introduces the proposed questions.     

2. Procedures Followed

2.1 Methodology
The PIM WG Chairs will officially kick off the survey and distribute the questionnaire and pertinent information through appropriate forums, aiming to ensure the questionnaire reaches as wide an audience as possible. 
 
2.2 Intended Recipients of Questionnaire
Given the nature of IGMPv3 and MLDv2, the questionnaire proposed in this document will be targeted at:
1 - Network operators
2 - Router vendors
3 - Switch vendors
4 - Host implementors

2.3 Processing of Responses
Responses received will remain confidential.  Only the aggregated results will be published and so it will be impossible to identify the contributions by individual operators, vendors or implementors.  Furthermore, an option to submit the completed questionnaire anonymously will be available.

3. Questionnaire

3.1 Questionnaire for Vendors or Host implementors

Name:

Affiliation/Organization?:

Contact Email:

Do you wish to keep your name and affiliation confidential:

Brief description of IGMPv3/MLDv2 implementation:

1. Implementation Status
Which of the following have you implemented? And for how long has it been implemented?
IGMPv1 (RFC 1112) Implemented: Y/N Since:
IGMPv2 (RFC 2236) Implemented: Y/N Since:
IGMPv3 (RFC 3376) Implemented: Y/N Since:
Lightweight IGMPv3 (RFC 5790) Implemented: Y/N Since:
MLDv1 (RFC 2710) Implemented: Y/N Since:
MLDv2 (RFC 3810) Implemented: Y/N Since:
Lightweight MLDv2 (RFC 5790) Implemented: Y/N Since:

2. Implementation Specifics
2.1 Which IGMPv3 features have you implemented?

2.2 Which MLDv2 features have you implemented?

2.3 Have you carried out IGMPv3 or MLDv2 interoperability tests with other implementations?
+ What issues arose during these tests?
+ How could the standards have help minimize these issues?

3. Implementation Perspectives
3.1 What feature(s) has been deliberately omitted from IGMPv3 or MLDv2 implementations?
+ because you think it is sub-optimal or potentially has significant disadvantages/issues?
+ because of insufficient demand/use cases?

3.2 Which ambiguities or inconsistencies in RFC 3376 or RFC 3810 made the implementation challenging?

3.3 What suggestions would you make to the IETF PIM WG as it seeks to update these documents?

3.2 Questionnaire for Network Operators
Name:

Affiliation/Organization?:

Contact Email:

Do you wish to keep your name and affiliation confidential:

Brief description of IGMPv3/MLDv2 deployment:

1. Deployment Status
Which of the following are currently deployed in your network? And for how long has it been deployed?
IGMPv1 (RFC 1112) Deployed: Y/N Since:
IGMPv2 (RFC 2236) Deployed: Y/N Since:
IGMPv3 (RFC 3376) Deployed: Y/N Since:
Lightweight IGMPv3 (RFC 5790) Deployed: Y/N Since:
MLDv1 (RFC 2710) Deployed: Y/N Since:
MLDv2 (RFC 3810) Deployed: Y/N Since:
Lightweight MLDv2 (RFC 5790) Deployed: Y/N Since:

2. Deployment Specifics

2.1 Which IGMPv3 features are in use?
+ Is IGMP Membership Exclude mode with source list in use?

2.2 Which MLDv2 features are in use?
+ Is Exclude mode with source list for used for MLDv2?

2.3 Does your network rely on the fallback mechanism between different IGMP versions?
+ Between which IGMP versions?
+ What is your experience with this fallback mechanism?

2.4 Are you using equipment with different (multi-vendor) implementations for your deployment?
+ Have you encountered any inter-operability or backward-compatibility issues amongst differing implementations? 
+ What are your concerns about these issues?

3. Deployment Perspectives
3.1 What have you found to be the strengths of IGMPv3/MLDv2?
3.2 What have you found to be the weaknesses IGMPv3/MLDv2?
3.3 What suggestions would you make to the IETF PIM WG as it seeks to update these documents?

> On 7 Mar 2019, at 22:12, Mankamana Mishra (mankamis) <[email-masked]> wrote:
> 
> On 7 Mar 2019, at 19:35, Michael McBride <[email-masked] <mailto:[email-masked]>> wrote:
>  
> Hi Mankamana,
>  
> From: Igmp-mld-bis [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Mankamana Mishra (mankamis)
> To: [email-masked] <mailto:[email-masked]>
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/igmp-mld-bis <https://www.ietf.org/mailman/listinfo/igmp-mld-bis>

---

From: Hitoshi Asaeda <[email-masked]>
Date: Fri, 8 Mar 2019 19:01:55 +0900

Hi folks,

Since nroff is difficult to maintain, I created an xml file for this draft (based on Femi's proposal).
Please use the attached xml file (and revise the text).

Regards,

Hitoshi

> On Mar 8, 2019, at 10:49, Olufemi Komolafe <femi=[email-masked]> wrote:
> 
> Mankamana,
>

---

From: Olufemi Komolafe <[email-masked]>
Date: Fri, 8 Mar 2019 16:44:37 +0000

Thanks Hitoshi.  I’ve made some minor changes and attached the latest XML and text files for others to modify.

Regards,
Femi

> On 8 Mar 2019, at 10:01, Hitoshi Asaeda <[email-masked]> wrote:
> 
> Hi folks,
> 
> <draft-ietf-pim-igmp-mld-bis-00.xml><draft-ietf-pim-igmp-mld-bis-00.txt>

---

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Fri, 8 Mar 2019 16:49:51 +0000

thanks every one. I would go through all the emails. and if nothing is missing from content, may be we would submit 0th version now. And we can update it after discussion in IETF104.

On Mar 8, 2019, at 8:44 AM, Olufemi Komolafe <femi=[email-masked]<mailto:femi=[email-masked]>> wrote:

Regards,
Femi

> On 8 Mar 2019, at 10:01, Hitoshi Asaeda <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hi folks,
>
>> On Mar 8, 2019, at 10:49, Olufemi Komolafe <femi=[email-masked]<mailto:femi=[email-masked]>> wrote:
>>
>> Mankamana,
>>
>>> On 7 Mar 2019, at 22:12, Mankamana Mishra (mankamis) <[email-masked]<mailto:[email-masked]>> wrote:
>>>
>>> From: Olufemi Komolafe <[email-masked]<mailto:[email-masked]>>
>>> To: Michael McBride <[email-masked]<mailto:[email-masked]>>
>>> Cc: "Mankamana Mishra (mankamis)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>